{% extends "Alumnos/CampusParientes/profile_padre.html" %}
{% load i18n admin_static admin_list %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/padres/profile/">Home</a> <span class="divider">/</span></li>
                    <li class="active">{% trans 'Datos personales' %}</li>
                </ul>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
       
        <ul class="nav nav-tabs">
            <li class="active"><a href="#home" data-toggle="tab"><h4>Datos personales</h3></a></li>
        </ul>
        
        {% if padre %}
        
        <div class="row-fluid">
        
            <div class="span2">
                <div class="">
                    {% if padre.Foto != '' %}
                        <img class="thumbnail" src="{% static 'uploads/' %}{{ padre.Foto }}" alt="Foto" width='100' height='120' />
                    {% else %}
                        <img class="thumbnail" src="{% static 'uploads/' %}{% if padre.Sexo == 'F' %}f{% endif %}avatar.jpg" alt="avatar" width='100' height='120' />
                    {% endif %}
                </div>
            </div>
            <form action="" method="post" enctype="multipart/form-data">{% csrf_token %}
            <div class="span10">
                <div class="form-inline">
                <legend style="margin-bottom:10px;">
                    {{ padre.Nombres|escape }} {{ padre.ApellidoPaterno|escape }} {{ padre.ApellidoMaterno|escape }}
                </legend>
                
                <div class="alert alert-info">
                    <i class="icon-exclamation-sign"></i> <strong>Indicaciones:</strong> Edita tus datos personales, luego presiona el boton <strong>"Grabar".</strong>
                </div>
                <table class="table">
                     <tr>
                        <th style="width:130px;text-align:right;">{% trans "Usuario:" %}</th>
                        <td>{{ padre.username|escape }}</td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-envelope"></i> {% trans "Email:" %}</th>
                        <td>{{ padre.Email|escape }}</td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-tag"></i> {% trans "Apellido Paterno:" %}</th>
                        <td>
                            <div class="control-group {% if form.ApellidoPaterno.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="ApellidoPaterno" name="ApellidoPaterno" value="{% if verifica_post %}{{ form.ApellidoPaterno.data|default:'' }}{% else %}{{ padre.ApellidoPaterno|escape }}{% endif %}" placeholder="Apellido Paterno">
                                {% if form.ApellidoPaterno.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.ApellidoPaterno.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-tag"></i> {% trans "Apellido Materno:" %}</th>
                        <td>
                            <div class="control-group {% if form.ApellidoMaterno.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="ApellidoMaterno" name="ApellidoMaterno" value="{% if verifica_post %}{{ form.ApellidoMaterno.data|default:'' }}{% else %}{{ padre.ApellidoMaterno|escape }}{% endif %}" placeholder="Apellido Materno">
                                {% if form.ApellidoMaterno.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.ApellidoMaterno.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-tag"></i> {% trans "Nombres:" %}</th>
                        <td>
                            <div class="control-group {% if form.Nombres.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="Nombres" name="Nombres" value="{% if verifica_post %}{{ form.Nombres.data|default:'' }}{% else %}{{ padre.Nombres|escape }}{% endif %}" placeholder="Nombres">
                                {% if form.Nombres.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Nombres.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-tag"></i> {% trans "DNI:" %}</th>
                        <td>
                            <div class="control-group {% if form.Dni.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="Dni" name="Dni" value="{% if verifica_post %}{{ form.Dni.data|default:'' }}{% else %}{{ padre.Dni|escape }}{% endif %}" placeholder="DNI">
                                {% if form.Dni.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Dni.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-calendar"></i> {% trans "Nacimiento:" %}</th>
                        <td>
                            <div class="input-append date" id="dp3" data-date="{% now "d/m/Y" %}" data-date-format="dd/mm/yyyy">
                                <input name="Nacimiento" class="span6" size="20" type="text" value="{% if verifica_post %}{{ form.Nacimiento.data|default:''|escape }}{% else %}{{ padre.Nacimiento|date:"d/m/Y"|escape }}{% endif %}" placeholder="dd/mm/yyyy">
                                <span class="add-on"><i class="icon-th"></i></span>
                            </div>
                            {% if form.Nacimiento.errors %}
                            <div class="control-group error">
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Nacimiento.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                            </div>
                            {% endif %}
                        </td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-user"></i> {% trans "Sexo:" %}</th>
                        <td>
                            <div class="control-group {% if form.Sexo.errors %}error{% endif %}">
                                <label>
                                    <input type="radio" name="Sexo" id="Sexo1" value="M" {% if form.Sexo.data|default:'' == 'M' or padre.Sexo|escape == 'M'  %}checked{% endif %}>Masculino
                                </label>
                                <label>
                                    <input type="radio" name="Sexo" id="Sexo2" value="F" {% if form.Sexo.data|default:'' == 'F' or padre.Sexo|escape == 'F'  %}checked{% endif %}>Femenino
                                </label>
                                {% if form.Sexo.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Sexo.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-user"></i> {% trans "Estado civil:" %}</th>
                        <td>
                            <div class="control-group {% if form.EstadoCivil.errors %}error{% endif %}">
                                {{ form.EstadoCivil }}
                                {% if form.EstadoCivil.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.EstadoCivil.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-home"></i> {% trans "Dirección actual:" %}</th>
                        <td>
                            <div class="control-group {% if form.Direccion.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="Direccion" name="Direccion" value="{% if verifica_post %}{{ form.Direccion.data|default:'' }}{% else %}{{ padre.Direccion|escape }}{% endif %}" placeholder="Dirección actual">
                                {% if form.Direccion.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Direccion.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-home"></i> {% trans "Departamento:" %}</th>
                        <td>
                            <div class="control-group {% if form.Departamento.errors %}error{% endif %}">
                                {{ form.Departamento }}
                                {% if form.Departamento.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Departamento.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-home"></i> {% trans "Provincia:" %}</th>
                        <td>
                            <div class="control-group {% if form.Provincia.errors %}error{% endif %}">
                                {{ form.Provincia }}
                                {% if form.Provincia.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Provincia.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-home"></i> {% trans "Distrito:" %}</th>
                        <td>
                            <div class="control-group {% if form.Distrito.errors %}error{% endif %}">
                                {{ form.Distrito }}
                                {% if form.Distrito.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Distrito.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                                <input id="id_selected_lugar" type="hidden" value="{% if verifica_post %}{{ form.Departamento.data|default:'' }}{% else %}{{ padre.Departamento|escape }}{% endif %}|{% if verifica_post %}{{ form.Provincia.data|default:'' }}{% else %}{{ padre.Provincia|escape }}{% endif %}|{% if verifica_post %}{{ form.Distrito.data|default:'' }}{% else %}{{ padre.Distrito|escape }}{% endif %}" name="selected_lugar">
                            </div>
                        </td>
                    </tr>
                     <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-headphones"></i> {% trans "Teléfono:" %}</th>
                        <td>
                            <div class="control-group {% if form.Telefono.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="Telefono" name="Telefono" value="{% if verifica_post %}{{ form.Telefono.data|default:'' }}{% else %}{{ padre.Telefono|escape }}{% endif %}" placeholder="Teléfono">
                                {% if form.Telefono.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Telefono.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-headphones"></i> {% trans "Celular:" %}</th>
                        <td>
                            <div class="control-group {% if form.Celular.errors %}error{% endif %}">
                                <input type="text" class="form-control" id="Celular" name="Celular" value="{% if verifica_post %}{{ form.Celular.data|default:'' }}{% else %}{{ padre.Celular|escape }}{% endif %}" placeholder="Celular">
                                {% if form.Celular.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Celular.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <th style="width:130px;text-align:right;"><i class="icon-user"></i> {% trans "Foto:" %}</th>
                        <td>
                            <div class="control-group">
                            <span class="help-inline"><i class="icon-info-sign"></i>
                                Tamaño de foto recomendada:  100x120 píxeles        
                            </span>
                            </div>
                            <div class="control-group {% if form.Foto.errors %}error{% endif %}">
                                {{ form.Foto }}
                                {% if form.Foto.errors %}
                                    <span class="help-inline"><i class="icon-warning-sign"></i>
                                        {% for error in form.Foto.errors %}
                                            {{ error }}
                                        {% endfor %}
                                    </span>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                </table>
                    <div class="form-actions">
                        <button type="submit" class="btn btn-info btn-lg">{% trans 'Guardar' %}</button>
                    </div>
                </div>
            </div>
        </form>
           
        </div>
        {% else %}
            <div class="alert alert-error">
                <strong>Mensaje:</strong> {% trans "El padre no se encontró registrado en el sistema." %}
            </div>
     {% endif %}
    </div>    
</div>
<script src="{% static 'custom/bootstrap/js/bootstrap-datepicker.js' %}"></script>
<script src="{% static 'custom/js/Docentes/frm_editar_docente_intranet.js' %}"></script>
<script>
    $('#dp3').datepicker()
        .on('changeDate', function(ev){
            $("#dp3").datepicker('hide');
    });   
</script>
{% endblock %}
